import _axios from "@/utils/_axios";
import axios from "axios";

// 获取动态表格列头
export const getDynamicTableHeader = (data) => {
  return _axios({
    url: "/api/DoctorMicroservice/DictReportDataSource/QueryPageList",
    params: data,
  });
};

// 获取动态表格数据
export const getDynamicTableList = (data) => {
  return _axios({
    method: "post",
    url: "/api/DoctorMicroservice/DictReportDataSource/GetHistoryAllData",
    data,
  });
};

// 获取全局变量
export const getGlobeConfig = (params) => {
  return _axios({
    method: "get",
    url: "/api/identity/configs/PageList",
    params,
  });
};

// 获取部门列表
export const getDepList = () => {
  return _axios({
    method: "get",
    url: "/api/identity/departments/treelist",
  });
};

// 获取音频数据
export const getAudio = (data) => {
  return axios.post(
    `${window.audioUrl.baseURL}/synthesize`,
    {
      ...data,
    },
    {
      responseType: "blob",
    }
  );
};
